<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_pxa27x.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_pxa27x.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * PXA27x MMC/SD controller definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SLOT_PXA27X_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SLOT_PXA27X_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#define PXA27X_MMC_MMCLK_BASE_FREQ 19500000</span>
00013 <span class="preprocessor"></span><span class="preprocessor">#define PXA27X_MMC_FIFO_SIZE 32</span>
00014 <span class="preprocessor"></span>
00015 <span class="preprocessor">#define STOP_CLOCK              (1 &lt;&lt; 0)</span>
00016 <span class="preprocessor"></span><span class="preprocessor">#define START_CLOCK             (2 &lt;&lt; 0)</span>
00017 <span class="preprocessor"></span>
00018 <span class="preprocessor">#define STAT_END_CMD_RES                (1 &lt;&lt; 13)</span>
00019 <span class="preprocessor"></span><span class="preprocessor">#define STAT_PRG_DONE                   (1 &lt;&lt; 12)</span>
00020 <span class="preprocessor"></span><span class="preprocessor">#define STAT_DATA_TRAN_DONE             (1 &lt;&lt; 11)</span>
00021 <span class="preprocessor"></span><span class="preprocessor">#define STAT_CLK_EN                     (1 &lt;&lt; 8)</span>
00022 <span class="preprocessor"></span><span class="preprocessor">#define STAT_RECV_FIFO_FULL             (1 &lt;&lt; 7)</span>
00023 <span class="preprocessor"></span><span class="preprocessor">#define STAT_XMIT_FIFO_EMPTY            (1 &lt;&lt; 6)</span>
00024 <span class="preprocessor"></span><span class="preprocessor">#define STAT_RES_CRC_ERR                (1 &lt;&lt; 5)</span>
00025 <span class="preprocessor"></span><span class="preprocessor">#define STAT_SPI_READ_ERROR_TOKEN       (1 &lt;&lt; 4)</span>
00026 <span class="preprocessor"></span><span class="preprocessor">#define STAT_CRC_READ_ERROR             (1 &lt;&lt; 3)</span>
00027 <span class="preprocessor"></span><span class="preprocessor">#define STAT_CRC_WRITE_ERROR            (1 &lt;&lt; 2)</span>
00028 <span class="preprocessor"></span><span class="preprocessor">#define STAT_TIME_OUT_RESPONSE          (1 &lt;&lt; 1)</span>
00029 <span class="preprocessor"></span><span class="preprocessor">#define STAT_READ_TIME_OUT              (1 &lt;&lt; 0)</span>
00030 <span class="preprocessor"></span>
00031 <span class="preprocessor">#define SPI_CS_ADDRESS          (1 &lt;&lt; 3)</span>
00032 <span class="preprocessor"></span><span class="preprocessor">#define SPI_CS_EN               (1 &lt;&lt; 2)</span>
00033 <span class="preprocessor"></span><span class="preprocessor">#define CRC_ON                  (1 &lt;&lt; 1)</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#define SPI_EN                  (1 &lt;&lt; 0)</span>
00035 <span class="preprocessor"></span>
00036 <span class="preprocessor">#define CMDAT_SDIO_INT_EN       (1 &lt;&lt; 11)</span>
00037 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_STOP_TRAN         (1 &lt;&lt; 10)</span>
00038 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_SD_4DAT           (1 &lt;&lt; 8)</span>
00039 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_DMAEN             (1 &lt;&lt; 7)</span>
00040 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_INIT              (1 &lt;&lt; 6)</span>
00041 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_BUSY              (1 &lt;&lt; 5)</span>
00042 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_STREAM            (1 &lt;&lt; 4)        </span><span class="comment">/* 1 = stream */</span>
00043 <span class="preprocessor">#define CMDAT_WRITE             (1 &lt;&lt; 3)        </span><span class="comment">/* 1 = write */</span>
00044 <span class="preprocessor">#define CMDAT_DATAEN            (1 &lt;&lt; 2)</span>
00045 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_RESP_NONE         (0 &lt;&lt; 0)</span>
00046 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_RESP_SHORT        (1 &lt;&lt; 0)</span>
00047 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_RESP_R2           (2 &lt;&lt; 0)</span>
00048 <span class="preprocessor"></span><span class="preprocessor">#define CMDAT_RESP_R3           (3 &lt;&lt; 0)</span>
00049 <span class="preprocessor"></span>
00050 <span class="preprocessor">#define RDTO_MAX                0xffff</span>
00051 <span class="preprocessor"></span>
00052 <span class="preprocessor">#define BUF_PART_FULL           (1 &lt;&lt; 0)</span>
00053 <span class="preprocessor"></span>
00054 <span class="preprocessor">#define SDIO_SUSPEND_ACK        (1 &lt;&lt; 12)</span>
00055 <span class="preprocessor"></span><span class="preprocessor">#define SDIO_INT                (1 &lt;&lt; 11)</span>
00056 <span class="preprocessor"></span><span class="preprocessor">#define RD_STALLED              (1 &lt;&lt; 10)</span>
00057 <span class="preprocessor"></span><span class="preprocessor">#define RES_ERR                 (1 &lt;&lt; 9)</span>
00058 <span class="preprocessor"></span><span class="preprocessor">#define DAT_ERR                 (1 &lt;&lt; 8)</span>
00059 <span class="preprocessor"></span><span class="preprocessor">#define TINT                    (1 &lt;&lt; 7)</span>
00060 <span class="preprocessor"></span><span class="preprocessor">#define TXFIFO_WR_REQ           (1 &lt;&lt; 6)</span>
00061 <span class="preprocessor"></span><span class="preprocessor">#define RXFIFO_RD_REQ           (1 &lt;&lt; 5)</span>
00062 <span class="preprocessor"></span><span class="preprocessor">#define CLK_IS_OFF              (1 &lt;&lt; 4)</span>
00063 <span class="preprocessor"></span><span class="preprocessor">#define STOP_CMD                (1 &lt;&lt; 3)</span>
00064 <span class="preprocessor"></span><span class="preprocessor">#define END_CMD_RES             (1 &lt;&lt; 2)</span>
00065 <span class="preprocessor"></span><span class="preprocessor">#define PRG_DONE                (1 &lt;&lt; 1)</span>
00066 <span class="preprocessor"></span><span class="preprocessor">#define DATA_TRAN_DONE          (1 &lt;&lt; 0)</span>
00067 <span class="preprocessor"></span>
00068 <span class="preprocessor">#define MMC_I_MASK_ALL          0x00001fff</span>
00069 <span class="preprocessor"></span>
00070 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SLOT_PXA27X_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
